function mesh = setconstantfield(mesh,amount,whichGrowth, add)
%mesh = setconstantfield(mesh,amount,whichGrowth, add)
%   Set or add constant growth factor for all points.

    if nargin < 4, add = 0; end
    if add
        mesh.morphogens(:,whichGrowth) = amount + mesh.morphogens(:,whichGrowth);
    else
        mesh.morphogens(:,whichGrowth) = amount;
    end
    mesh.saved = 0;
end
